Holger's Java API

## com.antelmann.util
Class SimpleEntry.Immutable<K,V>

    java.lang.Object
      com.antelmann.util.SimpleEntry<K,V>
          com.antelmann.util.SimpleEntry.Immutable<K,V>

All Implemented Interfaces:
  Serializable, Map.Entry<K,V>

Enclosing class:
  SimpleEntry<K,V>

    public static class SimpleEntry.Immutable<K,V>

extends SimpleEntry<K,V>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.antelmann.util.SimpleEntry
`SimpleEntry.Editable<K,V>, SimpleEntry.Immutable<K,V>`

Constructor Summary
`SimpleEntry.Immutable(K key, V value)`

Method Summary
`protected void` `setKey(K key)`
`V` `setValue(V value)`

Methods inherited from class com.antelmann.util.SimpleEntry
`equals, getKey, getKeySorter, getValue, getValueSorter, hashCode, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleEntry.Immutable

    public SimpleEntry.Immutable(K key,
                                 V value)

Method Detail

### setKey

    protected void setKey(K key)

  Overrides:
    `setKey` in class `SimpleEntry<K,V>`

### setValue

    public V setValue(V value)

  Specified by:
    `setValue` in interface `Map.Entry<K,V>`
  Overrides:
    `setValue` in class `SimpleEntry<K,V>`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads